Shipment Update API
Sipariş kalemi için taşıyıcı, kargo takip numarası ve kargo durumu bilgisini BaZaaRDan'a iletir.
Endpoint
POST/shipment_update.php
| Authentication | HMAC SHA256 required |
|---|---|
| Scope | Seller scoped |
| Permission | orders:shipment |
| Base URL | https://bazaardan.com/api/partner/v1 |
Required Headers
| Header | Açıklama |
|---|---|
X-BZ-CLIENT-ID | Partner uygulamasının Client ID değeri. |
X-BZ-TIMESTAMP | Unix timestamp. Örnek: 1778269200 |
X-BZ-SIGNATURE | Client Secret ile üretilen HMAC SHA256 imzası. |
Accept | application/json |
Content-Type | POST/PUT isteklerinde application/json |
Signature Standardı
İmza her zaman base URL sonrasındaki path üzerinden üretilir. Örnek: /shipment_update.php
METHOD + "\n" + PATH_WITH_QUERY + "\n" + TIMESTAMP + "\n" + RAW_BODY
Example Request Body
{
"order_item_id": 1024,
"carrier_code": "YURTICI",
"tracking_number": "YT123456789",
"tracking_url": "https://kargo.example.com/YT123456789",
"status": "shipped"
}
Example Response
{
"ok": true,
"data": {
"order_item_id": 1024,
"shipment_status": "shipped",
"updated": true
}
}